---
id: hfs
title: hfs
hide_title: true
hide_table_of_contents: true
sidebar_label: hfs
description: 🚧 List/Extract HFS+ files
---
## ipsw disk hfs

🚧 List/Extract HFS+ files

```
ipsw disk hfs [flags]
```

### Options

```
  -f, --flat             Do NOT preserve directory structure when extracting with --pattern
  -h, --help             help for hfs
  -o, --output string    Output folder
  -p, --pattern string   Extract files that match regex
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw disk](/docs/cli/ipsw/disk)	 - Disk commands

